# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnitAndSolidAngleUnit Class Reference

`#include <StepBasic_ConversionBasedUnitAndSolidAngleUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnitAndSolidAngleUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ConversionBasedUnitAndSolidAngleUnit ()
| Returns a ConversionBasedUnitAndSolidAngleUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetSolidAngleUnit (const Handle(StepBasic_SolidAngleUnit)&aSolidAngleUnit)
Standard_EXPORT Handle_StepBasic_SolidAngleUnit | SolidAngleUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_SolidAngleUnit | solidAngleUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnitAndSolidAngleUnit::StepBasic_ConversionBasedUnitAndSolidAngleUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ConversionBasedUnitAndSolidAngleUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndSolidAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnitAndSolidAngleUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_ConversionBasedUnit.

Standard_EXPORT void StepBasic_ConversionBasedUnitAndSolidAngleUnit::SetSolidAngleUnit | ( | const Handle(StepBasic_SolidAngleUnit)& | aSolidAngleUnit | ) |

Standard_EXPORT Handle_StepBasic_SolidAngleUnit StepBasic_ConversionBasedUnitAndSolidAngleUnit::SolidAngleUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_SolidAngleUnit StepBasic_ConversionBasedUnitAndSolidAngleUnit::solidAngleUnit `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnitAndSolidAngleUnit.hxx